### Hierarchy

- StringMessage
  - StringSignedMessage

### Implements

- MessageData<string>
- SignedMessageData<string>

## Index

### Constructors

- constructor

### Properties

- data
- sig

### Methods

- valueOf

## Constructors

### constructor

- new StringSignedMessage(data: string, sig: string): StringSignedMessage

- Overrides StringMessage.constructor

  - Defined in utils/types/BaseTypes.ts:47

  #### Parameters

  - ##### data: string

  - ##### sig: string

  #### Returns StringSignedMessage

## Properties

### data

data: string

Inherited from StringMessage.data

- Defined in utils/types/BaseTypes.ts:12

### sig

sig: string

- Defined in utils/types/BaseTypes.ts:25

## Methods

### Static valueOf

- valueOf(message: SignedMessageData): StringSignedMessage

- Overrides StringMessage.valueOf

  - Defined in utils/types/BaseTypes.ts:27

  #### Parameters

  - ##### message: SignedMessageData

  #### Returns StringSignedMessage

Generated using TypeDoc